import greenfoot.*;
import java.util.Random;
public class MyWorld extends World
{
    private static final int width = 35;
    private static final int height = 35;
    public MyWorld()
    {    
        super(35, 35, 20, false);
        Greenfoot.setSpeed(38);
        prepare();
        setPaintOrder(Counter.class, Head.class, Body.class, Food.class);
    }
    public static int getMyWidth()
    {
        return width;
    }
    public static int getMyHeight()
    {
        return height;
    }

    Random r = new Random();
    private void prepare()
    {
        Head head = new Head();
        addObject(head,getMyHeight()/2,getMyHeight()/2);
        addObject(new Food(), r.nextInt(getMyHeight()), r.nextInt(getMyHeight()));
        addObject(new Food(), r.nextInt(getMyHeight()), r.nextInt(getMyHeight()));
    }
}